Subject: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Paul Eggert <[email-masked]>
Date: Sun, 14 Jun 2015 13:39:31 -0700

Eli Zaretskii wrote:
> You can try
> something like
>
>    (set-fontset-font "fontset-default" '(#x2047 . #x204B) "FreeMono")
>
> and then try typing characters from this range and also a few outside
> of it, but still between 2000..206F -- is the result acceptable?  It
> looks weird on my system, but I think I'm less sensitive to these
> issues, so I'm not sure about others.

For those two characters FreeMono does look nicer.  There are a few other 
characters where perhaps some people would prefer FreeMono too.  It's not a big 
deal, though.  Perhaps we should just leave it that way until someone with real 
experience with those symbols (i.e., not me) needs to use them in real text.

>> The currency symbols look worse than before: they used to be constant-width
>> (most of them anyway) and matched Ubuntu Mono better.  Perhaps we should leave
>> them alone?
>
> Which font did they use before?

Kind of a mishmash; see below.  Ah, now I see which ones don't line up in the 
fixed-width font: it's the three at the end, which use Symbola.  It's this lack 
of lining-up that is one of the hassles with Symbola.

₠ 20a0 DejaVu Sans Mono
₡ 20a1 FreeMono
₢ 20a2 FreeMono
₣ 20a3 FreeMono
₤ 20a4 FreeMono
₥ 20a5 FreeMono
₦ 20a6 FreeMono
₧ 20a7 FreeMono
₨ 20a8 FreeMono
₩ 20a9 FreeMono
₪ 20aa FreeMono
₫ 20ab FreeMono
€ 20ac Ubuntu Mono
₭ 20ad Phetsarath OT
₮ 20ae Ubuntu Mono
₯ 20af FreeMono
₰ 20b0 FreeMono
₱ 20b1 FreeMono
₲ 20b2 FreeMono
₳ 20b3 FreeMono
₴ 20b4 Ubuntu Mono
₵ 20b5 FreeMono
₶ 20b6 FreeSerif
₷ 20b7 FreeSerif
₸ 20b8 FreeMono
₹ 20b9 Ubuntu Mono
₺ 20ba DejaVu Sans
₻ 20bb Symbola
₼ 20bc Symbola
₽ 20bd Symbola